
Redmine - Defect #13185

Redmine claims RMagick is not available

2013-02-15 16:34 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The gem rmagick (2.13.1) is installed. I checked it with gem list. Image thumbnails are created in redmine, so rmagick is working too.

Why administration information says that RMagick is NOT availble? (Screenshot)

Related issues:

Related to Redmine - Defect #10724: Rmagick 2.13.1 not being detected on Redm... Closed

History

#1 - 2013-02-15 17:29 - Etienne Massip

Filou Centrinov wrote:

Image thumbnails are created in redmine, so rmagick is working too.

 Thumbmails are generated using shell ImageMagick command, not using rmagick gem.

Why administration information says that RMagick is NOT availble? (Screenshot)

 Rmagick mustn't be included in your bundle, you can run bundle show and bundle config to make sure of that.

#2 - 2013-02-15 21:04 - Filou Centrinov

- File bundle_show.png added

As you see rmagick is included: bundle_show.png

Any idea, why redmine does not recognize it?

#3 - 2013-02-15 23:12 - Ivan Cenov

did you included rmagick bin directory in system path?

#4 - 2013-02-16 17:26 - Filou Centrinov

- Status changed from New to Resolved

My problem was already described in http://www.redmine.org/boards/2/topics/2699 and #10724. So it doesn't seems to be a redmine bug. However,

until now I couldn't solve it. If I have more time I will try to figure out the problem.

#5 - 2013-02-22 15:45 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files

noRMagick.png 13.4 KB 2013-02-15 Filou Centrinov

bundle_show.png 60.4 KB 2013-02-15 Filou Centrinov
